*
The moose likes JBoss/WildFly and the fly likes Error slf4j-api, I can't exclude slf4j-api for Jboss Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » JBoss/WildFly
Bookmark "Error slf4j-api, I can Watch "Error slf4j-api, I can New topic
Author

Error slf4j-api, I can't exclude slf4j-api for Jboss

Ricardo Llontop
Greenhorn

Joined: Apr 18, 2011
Posts: 11

I have my pom.xml


Even i exclude the slf4j-api in hibernate-core, and hibernate-entitymanager, I take the error:

I check the maven repositories and I found that the slf4-api-1.5.8.jar don't be exclude, I view in the dependecy hierarchy and this don't have dependency hierarchy.
I can't exclude slf4j-api-1.5.8.jar !!!, why?.
Jaikiran Pai
Marshal

Joined: Jul 20, 2005
Posts: 10102
    
165

What's the output of:



on that project?

[My Blog] [JavaRanch Journal]
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: Error slf4j-api, I can't exclude slf4j-api for Jboss